## org.exist.xmlrpc
Class AuthenticatedHandler

    java.lang.Object
      org.exist.xmlrpc.AuthenticatedHandler

All Implemented Interfaces:
  org.apache.xmlrpc.AuthenticatedXmlRpcHandler

public class AuthenticatedHandler
extends java.lang.Object
implements org.apache.xmlrpc.AuthenticatedXmlRpcHandler

Constructor Summary
`AuthenticatedHandler(Configuration conf, java.lang.String id)` Constructor for the AuthenticatedHandler object

Method Summary
`java.lang.Object` `execute(java.lang.String method, java.util.Vector v, java.lang.String user, java.lang.String password)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticatedHandler

    public AuthenticatedHandler(Configuration conf,
                                java.lang.String id)
                         throws org.apache.xmlrpc.XmlRpcException

  Constructor for the AuthenticatedHandler object

Parameters:
  `conf` - Description of the Parameter
Throws:
  `org.apache.xmlrpc.XmlRpcException` - Description of the Exception

Method Detail

### execute

    public java.lang.Object execute(java.lang.String method,
                                    java.util.Vector v,
                                    java.lang.String user,
                                    java.lang.String password)
                             throws java.lang.Exception

  Specified by:
    `execute` in interface `org.apache.xmlrpc.AuthenticatedXmlRpcHandler`
  Throws:
    `java.lang.Exception`

Copyright (C) Wolfgang Meier. All rights reserved.